ged2gwb(1)

NAME
ged2gwb - Create a GeneWeb database from a GEDCOM file

SYNOPSIS
ged2gwb [ <ged> ] [ options ]

DESCRIPTION
ged2gwb creates a starter database for use by GeneWeb , from a GEDCOM file.

The primary documentation of ged2gwb is in the HTML documentation, which you can find in the documentation directory (/usr/share/doc/geneweb on Debian systems).
Please look there for complete and up-to-date documentation.

OPTIONS

-help
    command-line help

-o <file>
    output database (default: a.gwb)

-f  Remove database if already existing

-log <file>
    Redirect log trace to this file.

-lf - Lowercase first names -
    Convert first names to lowercase letters, with initials in uppercase.

-ls - Lowercase surnames -
    Convert surnames to lowercase letters, with initials in uppercase. Try to keep lowercase particles.

-us - Uppercase surnames -
    Convert surnames to uppercase letters.

-fne be
    - First names enclosed -
    When creating a person, if the GEDCOM first name part holds a part between 'b' (any character) and 'e' (any character), it is considered to be the usual first name: e.g. -fne '""' or -fne "()".

-efn
    - Extract first names -
    When creating a person, if the GEDCOM first name part holds several names, the first of this names becomes the person "first name" and the complete GEDCOM first name part a "first name alias".

-no_efn
    - Dont extract first names - [default]
    Cancels the previous option.

-epn
    - Extract public names - [default] When creating a person, if the GEDCOM first name part looks like a public name, i.e. holds:
        * a number or a roman number, supposed to be a number of a nobility title,
        * one of the words: "der", "den", "die", "el", "le", "la", "the", supposed to be the beginning of a qualifier, then the GEDCOM first name part becomes the person "public name" and its first word his "first name".

-no_epn
    Cancels the previous option.

-no_pit
    - No public if titles -
    Do not consider persons having titles as public

-tnd
    - Try negative dates -
    Set negative dates when inconsistency (e.g. birth after death)

-no_nd
    - No negative dates -
    Don't interpret a year preceded by a minus sign as a negative year

-udi x-y
    - Undefined death interval -
    Set the interval for persons whose death part is undefined:
           - if before x years, they are considered as alive
           - if after y year, they are considered as death
           - between x and y year, they are considered as "don't know"
           Default x is 80 and y is 120

-uin
    - Untreated in notes -
    Put untreated GEDCOM tags in notes

-ds - Default source -
    Set the source field for persons and families without source data

-dates_dm
    Interpret months-numbered dates as day/month/year

-dates_md
    Interpret months-numbered dates as month/day/year

-charset [ANSEL|ASCII|MSDOS]
    - charset decoding -
    Force given charset decoding, overriding the possible setting in GEDCOM